module JamRuby
  class AppInteraction < ActiveRecord::Base
    self.primary_key = 'id'
    self.table_name = 'app_interactions'

    ACTIONS = %w(page:enter page:exit)
    CLIENTS = %w(browser client)

    validates :action, inclusion: { in: ACTIONS }
    validates :client, inclusion: { in: CLIENTS }

    attr_accessible :user_id, :client, :screen, :action

    belongs_to :user
  end
end